/* 
 * File:   Main.c
 * Author: A15863
 *
 * Created on 2014? 7? 16? (?), ?? 3:01
 */

#include <stdio.h>
#include <stdlib.h>
#include <xc.h>

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

// CONFIG
#pragma config FOSC = XT        // Oscillator Selection bits (XT oscillator)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled)
#pragma config PWRTE = ON      // Power-up Timer Enable bit (PWRT disabled)
#pragma config CP = OFF         // FLASH Program Memory Code Protection bits (Code protection off)
#pragma config BOREN = ON       // Brown-out Reset Enable bit (BOR enabled)
#pragma config LVP = OFF         // Low Voltage In-Circuit Serial Programming Enable bit (RB3/PGM pin has PGM function; low-voltage programming enabled)
#pragma config CPD = OFF        // Data EE Memory Code Protection (Code Protection off)
#pragma config WRT = ON         // FLASH Program Memory Write Enable (Unprotected program memory may be written to by EECON control)



volatile unsigned char R_Data=0;
/*
 * 
 */

void IO_Init(void)
{
 //
    TRISB = 0x00;
    TRISC = 0xB0;
}


void Initialize_UART(void)
{
    TXSTA = 0b00100110;
    RCSTA = 0b10010000;

    SPBRG = 25;
    TXIF = 0;
    RCIF = 0;
    //TXIE = 1;
    RCIE = 1;
}


void interrupt ISR (void)
{
    if(RCIF & RCIE)
    {
        RCIF = 0;
        R_Data = RCREG;
        TXREG = R_Data;
        PORTB = PORTB++;
    }
}

int main(int argc, char** argv) {

    IO_Init();
    Initialize_UART();
    PEIE = 1;
    GIE = 1;
    while(1);
    return (EXIT_SUCCESS);
}

